complete voice persona
curl --request POST \
--url https://api.mountsea.ai/suno/v2/voicePersona/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taskId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"verification_audio_url": "https://example.com/verification.wav",
"name": "My Voice",
"description": "<string>",
"is_public": false,
"image_s3_id": "<string>"
}
'import requests
url = "https://api.mountsea.ai/suno/v2/voicePersona/complete"
payload = {
"taskId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"verification_audio_url": "https://example.com/verification.wav",
"name": "My Voice",
"description": "<string>",
"is_public": False,
"image_s3_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taskId: 'xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx',
verification_audio_url: 'https://example.com/verification.wav',
name: 'My Voice',
description: '<string>',
is_public: false,
image_s3_id: '<string>'
})
};
fetch('https://api.mountsea.ai/suno/v2/voicePersona/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "15c257ff-43f7-4678-bd41-202ad6b8488b"
}Voice Persona
Voice Persona 完成
上传验证录音并创建声音角色
POST
/
suno
/
v2
/
voicePersona
/
complete
complete voice persona
这是免费 Init + Complete Voice Persona 的第二阶段。产物与收费的 Clone Voice 相同。须先完成第一阶段:Init,等到
awaiting。详见完整工作流程指南。taskId。调用 complete 后,继续轮询同一个 taskId,直到状态变为 success。
您必须在任务达到
awaiting 状态后的 30 秒内调用此端点。超过此超时时间将导致任务失败,错误码为 VP_USER_TIMEOUT。不需要中间数据(
vox_audio_id、phrase_id 等)— 系统会自动从 init 阶段读取这些数据。只需传入 taskId、verification_audio_url、name 和可选字段即可。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
init 返回的 taskId(同一个任务)
示例:
"xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
用户朗读验证短语后的录音 URL(WAV/MP3)
示例:
"https://example.com/verification.wav"
Persona 名称
示例:
"My Voice"
Persona 描述
是否公开,默认 false
示例:
false
封面图片(base64 或 null 自动生成)
响应
201 - application/json
task id. Use this id to query task status.
示例:
"15c257ff-43f7-4678-bd41-202ad6b8488b"